Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024304
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-07-10 12:302013-07-24 18:36
ReportersureshbabuView Statuspublic 
Assigned Toguilleaer 
PriorityhighResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revisiond45d5abd757b
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024304: [MULTI] In Multi order payment screen, when i do over payment using Layaway order option, wrong amount remaining to pay appears

Description)In multiple order payment, when i do over payment using layaway option and when i use USA Cash payment method, remaining payment amount calculation not working as expected.
Steps To ReproducePrecondition:
Create conversion rates as below
EUR to USD Multiple Rate By: 2
USD to EUR Multiple Rate By: 0.5


1) create a layaway order with below products

Baby Carrier 1(qty) : 110.50
Base Camp duffel 70L: 89.50
Total Gross amount: 200
200 Euro remaining to pay label appears in the screen

2)With out closing the order clicked the option "Pay Open Tickets"
Then select the above created order and click done button

3)Above selected receipt, appears in the screen, then click the receipt to layaway the order, and then in the popup enter Layaway amount as 250(over payment), then click Apply button

4) Check the total amount to be paid, amount changes from 200 to 250. Then click the total amount, 250.00 euros remaining to pay label appears on the left hand side of the screen

5) Then change the payment method to "USA Cash" and then pay the order by clicking the OK button(Tick button) and then verify the remaining amount to be paid label

Defect: one can find at the left hand screen "100.00 Dollars remaining to pay" text appears instead of "Exact amount paid" label

TagsNo tags attached.
Attached Filespng file icon While Layaway the order when i do over payment and paid through USA Cash Payment method, the system shows wrong amount as remaining to pay.png [^] (251,116 bytes) 2013-07-10 12:30

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024350 closedguilleaer [MULTI] In Multi order payment screen, wrong amount remaining to pay appears when USA Cash payment method is used for payment 

-  Notes
(0059999)
hgbot (developer)
2013-07-16 12:39

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d45d5abd757b5a8d22aabeeab71c4db421e095c5
Author: Your Real Name <user <at> example.com>
Date: Tue Jul 16 12:39:10 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d45d5abd757b5a8d22aabeeab71c4db421e095c5 [^]

Fixed issue 24304: Obtaining wrong pending value

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0060213)
guilleaer (developer)
2013-07-23 20:19

verified
(0060235)
hgbot (developer)
2013-07-24 13:41

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: d45d5abd757b5a8d22aabeeab71c4db421e095c5
Author: Your Real Name <user <at> example.com>
Date: Tue Jul 16 12:39:10 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/d45d5abd757b5a8d22aabeeab71c4db421e095c5 [^]

Fixed issue 24304: Obtaining wrong pending value

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0060286)
guilleaer (developer)
2013-07-24 18:36

reclosing

- Issue History
Date Modified Username Field Change
2013-07-10 12:30 sureshbabu New Issue
2013-07-10 12:30 sureshbabu Assigned To => guilleaer
2013-07-10 12:30 sureshbabu File Added: While Layaway the order when i do over payment and paid through USA Cash Payment method, the system shows wrong amount as remaining to pay.png
2013-07-16 12:39 hgbot Checkin
2013-07-16 12:39 hgbot Note Added: 0059999
2013-07-16 12:39 hgbot Status new => resolved
2013-07-16 12:39 hgbot Resolution open => fixed
2013-07-16 12:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d45d5abd757b5a8d22aabeeab71c4db421e095c5 [^]
2013-07-17 14:41 migueldejuana Relationship added related to 0024350
2013-07-23 20:19 guilleaer Review Assigned To => guilleaer
2013-07-23 20:19 guilleaer Note Added: 0060213
2013-07-23 20:19 guilleaer Status resolved => closed
2013-07-23 20:19 guilleaer Fixed in Version => RMP25
2013-07-24 13:41 hgbot Checkin
2013-07-24 13:41 hgbot Note Added: 0060235
2013-07-24 13:41 hgbot Status closed => resolved
2013-07-24 13:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d45d5abd757b5a8d22aabeeab71c4db421e095c5 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/d45d5abd757b5a8d22aabeeab71c4db421e095c5 [^]
2013-07-24 18:36 guilleaer Note Added: 0060286
2013-07-24 18:36 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker